/* 
Axvart Theme CSS For Both Frontend and Backend
@package Axvart FSE Theme

------------------
Table of Contents:
------------------
01. - Variables
02. - Reset
03. - Layout
04. - Headings
05. - Paragraphs
06. - Links
07. - Images
08. - Figures

*/

/* 
-> Reset
*/

* {
    box-sizing: border-box;
}

/* 
-> Layout
*/

:where(.wp-site-blocks) > * {
    margin-block-start: 0 !important;
}


/*
-> Images
*/

img {
    max-width: 100%;
    height: auto;
}

/*
-> Figures
*/

figure {
    margin: 0;
    padding: 0;
}

/* Header */
header {
    top: calc(0px + var(--wp-admin--admin-bar--position-offset, 0px));
    position: sticky;
    z-index: 10;
}

 /* Header css start  */

.wp-block-navigation__container {
    display: flex;
    align-items: center;
    gap: 20px;
}

.wp-block-navigation .has-child .wp-block-navigation__submenu-container {
    z-index: 10;
}

.wp-block-navigation:not(.has-background) .wp-block-navigation__responsive-container.is-menu-open {
    background-color: #fff;
    height: 100vh;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__container li {
    padding: 6px 0 !important;
    display: block;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__submenu-container {
    padding-right: 10px !important;
    max-width: 100% !important;
    display: block !important;
    padding-bottom: 0 !important;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item, 
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__container, 
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-page-list {
    display: block;
}

.wp-block-navigation__responsive-container.is-menu-open ul.wp-block-navigation__submenu-container.wp-block-navigation-submenu li {
    padding: 0 !important;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__submenu-container li{
   font-size: 12px !important;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation-item__content {
    padding: 0 !important;
}

.wp-container-content-5 {
    flex-grow: inherit !important;
}

.wp-block-navigation .wp-block-page-list {
    gap: 15px !important;
}

.has-modal-open .admin-bar .is-menu-open .wp-block-navigation__responsive-dialog {
    margin-top: 0
}

.wp-block-navigation a:where(:not(.wp-element-button)) {
    color:  #282828;
    text-decoration: none;
}

.wp-block-navigation a:where(:not(.wp-element-button)):hover {
    color:  #3f8efc !important;
}

.wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation-item__content {
    padding: 0 18px !important;
}

.wp-block-navigation__container {
    flex-wrap: nowrap !important;
}

.wp-block-navigation:not(.has-background) .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation a:where(:not(.wp-element-button)) {
    color: #3C3C3C !important;
}

.wp-block-group.is-nowrap.is-layout-flex.wp-container-core-group-layout-4.wp-block-group-is-layout-flex {
    padding: 20px 15px !IMPORTANT;
}

ul.wp-block-navigation__submenu-container.wp-block-navigation-submenu li {
    padding: 6px 0 !important;
}